package cz.cvut.fel.cs.ass.factoryMethod.distributor;

import java.math.BigDecimal;
import java.net.URL;

import cz.cvut.fel.cs.ass.factoryMethod.product.Order;

public abstract class Distributor {
	public abstract BigDecimal getCharge();

	public abstract double getRank();

	public abstract URL getTrackingLink() throws Exception;

	public abstract void ship(Order o) throws Exception;

	protected void ship(String name, Order o) throws Exception {
		System.out.println(name + " ships (" + o.getTotal() + ") for charge " + getCharge() + " track at "
				+ getTrackingLink().toString());
	}
}
