package cz.cvut.fel.cs.ass.factoryMethod.product.impl;

import java.math.BigDecimal;

import cz.cvut.fel.cs.ass.factoryMethod.product.Product;

public class HeurecaProduct extends Product {

	private double rank = 0.0;
	
	public HeurecaProduct(String name, String describtion, BigDecimal price, double rank) {
		super(name, describtion, price);
		this.rank = rank;
	}
	
	public HeurecaProduct(String name) {
		super(name);
	}
	
	public HeurecaProduct() {
	}

	public double getRank() {
		return rank;
	}

	public void setRank(double rank) {
		this.rank = rank;
	}

	public static HeurecaProduct make(String name) {
		return new HeurecaProduct(name);
	}
	public HeurecaProduct init(String describtion, BigDecimal price, double rank) {
		super.init(describtion, price);
		this.rank = rank;
		return this;
	}
}
