package cz.cvut.fel.cs.ass.prototype.test;

import java.math.BigDecimal;

import org.junit.Before;
import org.junit.Test;

import cz.cvut.fel.cs.ass.factoryMethod.distributor.Distributor;
import cz.cvut.fel.cs.ass.factoryMethod.product.Order;
import cz.cvut.fel.cs.ass.factoryMethod.product.Product;
import cz.cvut.fel.cs.ass.factoryMethod.product.impl.HeurecaProduct;
import cz.cvut.fel.cs.ass.factoryMethod.store.Store;
import cz.cvut.fel.cs.ass.factoryMethod.store.impl.Heureka;
import cz.cvut.fel.cs.ass.prototype.Car;
import cz.cvut.fel.cs.ass.prototype.Cleaner;
import cz.cvut.fel.cs.ass.prototype.Company;
import cz.cvut.fel.cs.ass.prototype.Executive;
import cz.cvut.fel.cs.ass.prototype.Person;
import cz.cvut.fel.cs.ass.prototype.Worker;

public class UserTest {

	private Company company;

	@Before
	public void setUp() {
		company = new Company("DreamVille");
		Car car1 = new Car("BMW");
		Car car2 = new Car("Mercedes");
		company.getCars().add(car1);
		company.getCars().add(car2);
		Executive boss1 = new Executive("Bob", "Smith", 55, company, "Super Executive");
		Executive boss2 = new Executive("Bob", "Smith Jr", 25, company, "Minor Executive");
		Person worker1 = new Worker("Pete", "Harworker", 25, company, 1000);
		Person worker2 = new Worker("Ron", "Lazyworker", 35, company, 1000);
		Person cleaner = new Cleaner("Ford", "Cleaner", 45, company, "Floor");
		boss1.setSharesCar(car1);
		boss2.setSharesCar(car1);
		
		boss1.getCommands().add(boss2);
		boss1.getCommands().add(worker1);
		
		boss2.getCommands().add(worker2);
		boss2.getCommands().add(cleaner);
		
		company.getMembers().add(boss2);
		company.getMembers().add(boss1);
		company.getMembers().add(worker1);
		company.getMembers().add(worker2);
		company.getMembers().add(cleaner);
	}

	@Test
	public void test() throws Exception {
		//company.clone();
		
		//print
		System.out.println(company.toString());

	}

}
