package cz.cvut.fel.cs.ass.singleton.impl;
import java.util.ArrayList;
import java.util.List;

import cz.cvut.fel.cs.ass.singleton.Logger;

public class LoggerImpl implements Logger {

	private static int counter = 1;
	private int id;
	private List<String> files = new ArrayList<String>();

	public LoggerImpl() {
		id = counter++;
		log("Init");
	}

	/* (non-Javadoc)
	 * @see cz.cvut.fel.cs.ass.Logger#log(java.lang.String)
	 */
	@Override
	public void log(String s) {
		files.add(s);
		System.out.println("Logggin (L#" + id + "): " + s);
	}

	/* (non-Javadoc)
	 * @see cz.cvut.fel.cs.ass.Logger#log(java.lang.Class, int, java.lang.String)
	 */
	@Override
	public void log(Class<?> c, int id, String s) {
		String msg = "[" + c.getSimpleName() + "#" + id + "] " + s;
		log(msg);
	}

}
