package cz.cvut.fel.cs.ass.builder.test;

import java.math.BigDecimal;

import org.junit.Before;
import org.junit.Test;

import cz.cvut.fel.cs.ass.builder.Sandwich;
import cz.cvut.fel.cs.ass.builder.SandwichBuilder;
import cz.cvut.fel.cs.ass.builder.Waiter;
import cz.cvut.fel.cs.ass.builder.impl.BlackFirestHamBuilder;

public class UserTest {

	@Before
	public void setUp() {
	}

	@Test
	public void test() throws Exception {
		SandwichBuilder builder = new BlackFirestHamBuilder();
		// builder = new RoastBeefFootlongBuilder();

		Waiter waiter = new Waiter();

		waiter.setSandwichBuilder(builder);
		waiter.constructSandwich(Sandwich.FOOTLONG);

		BigDecimal charge = waiter.getCharge();
		Sandwich sandwich = waiter.getSandwich();
		
		System.out.println(charge);
		System.out.println(sandwich);
	}

}
