package cz.cvut.fel.cs.ass.singleton.test;

import static org.junit.Assert.fail;

import java.util.HashSet;
import java.util.Set;

import org.junit.Test;

import cz.cvut.fel.cs.ass.singleton.User;


public class UserTest {

	private static final int USERS = 10;

	@Test
	public void test() throws InterruptedException {
		Set<User> finishSet = new HashSet<User>();
		for (int i = 1; i < USERS+1; i++) {
			Thread t = new Thread(new User("user_" + i, finishSet));
			t.start();
		}

		Thread.sleep(USERS * 1000);

		if (finishSet.size() < USERS) {
			fail("Some users failed or timeout - "+finishSet.size() + " finished");
		}

	}

}
